
#ifndef _LDRHEX_H_
#define _LDRHEX_H_
#endif

#define LOAD_HEX_BUFFER_NUMBER	480
/////////////////////////////
class CLdrHex96 : public CLdrSvr
{   
public:
   CLdrHex96(LPCSTR lpsczFile , int nFlag, int where);			

public:
   int m_nBankNumber;
   int m_nMemMode;
   unsigned char dw_buf[LOAD_HEX_BUFFER_NUMBER*2];
   unsigned char dw_buf2[LOAD_HEX_BUFFER_NUMBER*2];
public:
   BOOL LoadProcess();
   BOOL JustifyBank();
   
   BOOL FillCodeToMem(unsigned int next_pc, int dw_byte, U8 *buf);
   void displayPC(U16 addr);
   unsigned char asc__h(unsigned char a);
   unsigned char asc2hex(unsigned char a,unsigned char b);
     
// Implementation
public:
	virtual ~CLdrHex96();
};

/////////////////////////////////////////////////////////////////////////////
